<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <title>List of Students</title>
    <!-- CSS only -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
</head>

<body>

    <!--Navbar-->
    <nav class="navbar navbar-expand-md bg-dark navbar-dark">
        <a class="navbar-brand mr-1" href="#"> Control de estudiantes</a>
        <div class="collapse navbar-collapse" id="collapsibleNavbar">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" th:href="@{/students}">List of students</a>
                </li>
            </ul>
        </div>
    </nav>


    <!--Body-->
    <div class="container">
        <br>
        <div class="row">
            <h1>List of Students</h1>
        </div>
        <br>
        <div class="row">
            <div class="col-lg-3">
                <a th:href="@{/students/new}" class="btn btn-primary btn-sm mb3">Add student</a>
            </div>
        </div>
        <br>
        <!--Table-->
        <table class="table table-striped table-bordered">
            <thead class="table-dark">
                <tr>
                    <th>Name</th>
                    <th>Last Name</th>
                    <th>Email</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr th:each="student : ${students}">
                    <td th:text="${student.name}">Name</td>
                    <td th:text="${student.lastname}">Last Name</td>
                    <td th:text="${student.email}">Email</td>
                    <td>
                        <a th:href="@{/students/edit/{id}(id=${student.id})}" class="btn btn-info">Edit</a>
                        <a th:href="@{/students/{id}(id=${student.id})}" class="btn btn-danger">Eliminate</a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

</body>

</html>